{% extends 'homepage/base.html' %}

{% block content %}
<!-- Translations -->
{% load i18n %}

<h4>{% trans "You searched for: " %}<strong>{{ query }}</strong></h4>

{% if clients or services or providers %}

    {% if clients %}

        <h4>{% trans "Found" %} {{ clients|length }} clien{{ clients|pluralize:"t,ts" }}:</h4>

        <div class=" list-group">
            {% for client in clients %}
                <a href="{% url 'clients:client-update' client.id %}" class="list-group-item">{{ client }}</a>
            {% endfor %}
        </div>

    {% endif %}

    {% if services %}

        <h4>{% trans "Found" %} {{ services|length }} servic{{ services|pluralize:"e,es" }}:</h4>

        <div class=" list-group">
          {% for service in services %}
              <a href="{% url 'services:service-update' service.id %}" class="list-group-item">{{ service }}</a>
          {% endfor %}
        </div>

    {% endif %}
    
    {% if providers %}

      <h4>{% trans "Found" %} {{ providers|length }} provider{{ providers|pluralize:"s" }}:</h4>
        
      <div class=" list-group">
        {% for provider in providers %}
            <a href="{% url 'providers:provider-update' provider.id %}" class="list-group-item">{{ provider }}</a>
        {% endfor %}
      </div>

    {% endif %}

{% else %}

    <h4>{% trans "No result found for the item searched" %}.</h4>

{% endif %}


{% endblock %}